[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

approval for planned upload of ippan 4.86a-7



Dear release team,

could you please review the changes for ippan 4.86a-7, which I 
plan to upload to unstable and state if it could be considered for unblock it 
for lenny?

The diff really small and is attached and the changelog follows:

ipplan (4.86a-7) unstable; urgency=low

  * check in postinst if shared object exists, before activating php modules
    (Closes: #511293)
  * remove php3 part for apache in postinst and reused it for php5
  * reorder Aliases in apache.conf (Closes: #511327)

Thanks and with kind regards, Jan.


Index: debian/ipplan/trunk/debian/postinst
===================================================================
--- debian/ipplan/trunk/debian/postinst (revision 1197)
+++ debian/ipplan/trunk/debian/postinst (revision 1645)
@@ -24,7 +24,7 @@
 			    modules-config $webserver enable mod_php4
 			fi
-		    elif [ -f /usr/lib/apache/1.3/libphp3.so ]; then
-			if ! grep -qs "^LoadModule php3_module " /etc/$webserver/modules.conf; then
-			    modules-config $webserver enable mod_php3
+		    elif [ -f /usr/lib/apache/1.3/libphp5.so ]; then
+			if ! grep -qs "^LoadModule php5_module " /etc/$webserver/modules.conf; then
+			    modules-config $webserver enable mod_php5
 			fi
 		    else
@@ -49,9 +49,9 @@
 		    fi
 		    if [ -f /etc/apache2/mods-available/php4.load ]; then
-			if [ ! -f /etc/$webserver/mods-enabled/php4.load -a ! -h /etc/$webserver/mods-enabled/php4.load ]; then
+			if [ ! -f /etc/$webserver/mods-enabled/php4.load -a ! -h /etc/$webserver/mods-enabled/php4.load -a -f /usr/lib/$webserver/modules/libphp4.so ]; then
 			    ln -s /etc/$webserver/mods-available/php4.load /etc/$webserver/mods-enabled/php4.load
 			fi
 		    elif [ -f /etc/apache2/mods-available/php5.load ]; then
-			if [ ! -f /etc/$webserver/mods-enabled/php5.load -a ! -h /etc/$webserver/mods-enabled/php5.load ]; then
+			if [ ! -f /etc/$webserver/mods-enabled/php5.load -a ! -h /etc/$webserver/mods-enabled/php5.load -a -f /usr/lib/$webserver/modules/libphp5.so ]; then
 			    ln -s /etc/$webserver/mods-available/php5.load /etc/$webserver/mods-enabled/php5.load
 			fi
Index: debian/ipplan/trunk/debian/apache.conf
===================================================================
--- debian/ipplan/trunk/debian/apache.conf (revision 1276)
+++ debian/ipplan/trunk/debian/apache.conf (revision 1646)
@@ -1,4 +1,4 @@
+#Alias /ipplan/menus /usr/share/php/libphp-phplayersmenu
 #Alias /ipplan /usr/share/ipplan
-#Alias /ipplan/menus /usr/share/php/libphp-phplayersmenu
 
 <Directory /usr/share/ipplan>
Index: debian/ipplan/trunk/debian/changelog
===================================================================
--- debian/ipplan/trunk/debian/changelog (revision 1569)
+++ debian/ipplan/trunk/debian/changelog (revision 1647)
@@ -1,2 +1,11 @@
+ipplan (4.86a-7) unstable; urgency=low
+
+  * check in postinst if shared object exists, before activating php modules
+    (Closes: #511293)
+  * remove php3 part for apache in postinst and reused it for php5
+  * reorder Aliases in apache.conf (Closes: #511327)
+
+ -- Jan Wagner <waja@cyconet.org>  Tue, 13 Jan 2009 13:10:28 +0100
+
 ipplan (4.86a-6) unstable; urgency=low
 

Attachment: signature.asc
Description: This is a digitally signed message part.


Reply to: